#ifndef cfg_h
#define cfg_h

#include <Arduino.h>
#include "FS.h"                // SD Card ESP32
#include "json.h"


#define CFG_SND_MAX     20

typedef struct CFG_SOUND
{
	String name;
	bool ring;
    bool open;
    String val;
    String description;
} CfgSound;

typedef struct CFG
{
	CfgSound sound[CFG_SND_MAX+1];
	String switch_url;
	String switch_url_user;
	String switch_url_pw;
	String move_url;
	String move_url_user;
	String move_url_pw;
	String sys_ntp;
	String sys_tz;
	String un;
	String up;
	uint16_t light_dark_val;
	uint16_t light_bright_val;
	uint8_t snd_vol;
	uint8_t opener_time;
	uint8_t move_delay;
	uint8_t switch_led_times;
	uint8_t motion_to;
	uint8_t ring_to;
	bool flash_photo;
	bool flash_video;
	bool flash_dark;
	bool move_photo;
	bool move_light;
	bool move_dark;
	bool move_call_on;
	bool light_dark;
	bool snd_on;
	bool snd_switch;
	bool opener_on;
	bool switch_photo;
	bool switch_call_on;
	bool switch_led_dark;
	bool switch_led_on;
	bool switch_led_flash;
} Cfg;

extern Cfg cfg_global;

bool cfg_parse(char *conf);
int8_t cfg_SearchSnd(char *v);
int8_t cfg_GetRing(void);
bool cfg_LoadCfg(void);




//-------------------------------------------------------
// Global Functions

#endif
